Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management.runtime
Interface LibraryRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, WebLogicMBean

public interface LibraryRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  9.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String` | `getImplementationVersion()` Returns this Library's Implementation Version, null if none is set
`String` | `getLibraryIdentifier()` Returns this Library's Identifier
`String` | `getLibraryName()` Returns this Library's Name
`weblogic.management.runtime.RuntimeMBean[]` | `getReferencingRuntimes()` Returns the RuntimeMBeans of current referencers of this Library.
`String` | `getSpecificationVersion()` Returns this Library's Specification Version, null if none is set
`boolean` | `isReferenced()` Returns true if this Library is referenced by one or more referencers.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getImplementationVersion

    public String getImplementationVersion()

  Returns this Library's Implementation Version, null if none is set

### getLibraryIdentifier

    public String getLibraryIdentifier()

  Returns this Library's Identifier

  The library identifier uniquely identifies this library version across all versions of all deployed applications and deployed libraries. If the library is not versioned, the library identifier is the same as the library name.

  Returns:
    The library identifier for this library.

### getLibraryName

    public String getLibraryName()

  Returns this Library's Name

### getReferencingRuntimes

    public weblogic.management.runtime.RuntimeMBean[] getReferencingRuntimes()

  Returns the RuntimeMBeans of current referencers of this Library. Typically a Library Referencer is a deployed application

### getSpecificationVersion

    public String getSpecificationVersion()

  Returns this Library's Specification Version, null if none is set

### isReferenced

    public boolean isReferenced()

  Returns true if this Library is referenced by one or more referencers. Typically a Library Referencer is a deployed application

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD